function mr_speech_cloud
global mr;

if mr.numberOfFramesInAccumulatedData > 5

   % highest marker should be the head
   [dummy headMarkerId]= max(mr.mocap.markerPosition(:,3));
   headMarkerPosition = mr.mocap.markerPosition(headMarkerId,:);
   
    
    headMarkerPosition = headMarkerPosition * 1000; % 1000 is to convertng from meter to mm
    valueToSend = norm(headMarkerPosition, 'fro');
    
    angleForInRoom = rad2deg(atan2(-headMarkerPosition(2), headMarkerPosition(1))); % x and y are swapped since spat uses angle to y axis
    % [0  -projectedAudioPoint(2) projectedAudioPoint(1) valueToSend]'
    %mr_write_buffer('/tmp/maze', [0  -headMarkerPosition(2) headMarkerPosition(1) valueToSend]');
    mr_write_buffer('/tmp/maze', [0  0 angleForInRoom valueToSend]');
end;

