function mr_wii_rotate(doReset)

if nargin<1
    doReset = false;
end;

global mr

persistent myworld ballNode figureHandle;


if isempty(myworld) || doReset
    %  myworld = vrworld('vrbounce.wrl');
    myworld = vrworld('vrtkoff_hud.wrl');
    
    open(myworld);
    
    
    figureHandle = view(myworld);
    vrdrawnow;
    
    %   ballNode = vrnode(myworld, 'Ball');
    ballNode = vrnode(myworld, 'Plane');
    ballNode.translation = [ 0 5 30];
end;

if mr.numberOfFramesInAccumulatedData < mr.samplingRate
    return;
end;

% wiiAcceleration = mr.accumulatedData([3 2 4] ,mr.numberOfFramesInAccumulatedData);
% wiiAcceleration(3) =   wiiAcceleration(3);
% ballNode.rotation = vrrotvec([0 0 1], wiiAcceleration);


wiiAcceleration = mr.accumulatedData([2 3 4] ,mr.numberOfFramesInAccumulatedData);
wiiAcceleration(3) =   -wiiAcceleration(3);
ballNode.rotation = vrrotvec([0 0 -1], wiiAcceleration);

if any(mr.accumulatedData(1,mr.numberOfFramesInAccumulatedData - round(mr.samplingRate/3):mr.numberOfFramesInAccumulatedData) == 4)
    ballNode.scale = [4 4 4];
else
    ballNode.scale = [1 1 1];
end;

if any(mr.accumulatedData(1,mr.numberOfFramesInAccumulatedData - round(mr.samplingRate/3):mr.numberOfFramesInAccumulatedData) == 10)
    a = ballNode.translation;
    a(2) = a(2) + 2;
    ballNode.translation= a;
elseif any(mr.accumulatedData(1,mr.numberOfFramesInAccumulatedData - round(mr.samplingRate/3):mr.numberOfFramesInAccumulatedData) == 9)
    a = ballNode.translation;
    a(2) = a(2) - 2;
    ballNode.translation= a;
end

if any(mr.accumulatedData(1,mr.numberOfFramesInAccumulatedData - round(mr.samplingRate/3):mr.numberOfFramesInAccumulatedData) == 7)
    a = ballNode.translation;
    a(3) = a(3) + 2;
    ballNode.translation= a;
elseif any(mr.accumulatedData(1,mr.numberOfFramesInAccumulatedData - round(mr.samplingRate/3):mr.numberOfFramesInAccumulatedData) == 8)
    a = ballNode.translation;
    a(3) = a(3) - 2;
    ballNode.translation= a;
end
%vrdrawnow;