
% delete all timers;
delete(timerfindall);

global mr EEG
mr = [];

mr.simulation.data  = [];
%mr.simulation.data = EEG.data(:,(12000+1009):end);% rand(100, 1000000) * 5;
mr.simulation.data = EEG.data(:,(12000+1009):50000);% rand(100, 1000000) * 5;
mr.simulation.speedFactor = 0.1;

mr.functionHandle = [];
mr.maxNumberOfFramesInAccumulatedData = Inf * 5000;

% mr_accumulate options
mr.readFromDataRiver = false;

% mr_spectrum_bar options
channelIds = load('/data/projects/RSVP/exp53/realtime/exp53_IDs_of_original_channels.mat');
workspace = load('/data/projects/RSVP/exp53/realtime/workspace_small_variables.mat');
load /data/projects/RSVP/exp53/realtime/chanlocs;

mr.eeg.chanlocs = chanlocs;

% just for lieanr classifier
% mr.eeg.classifier.icActivity = [];
 mr.eeg.classifier.class = [];
 mr.eeg.classifier.probability = [];
% mr.eeg.classifier.templates = templates;
% mr.eeg.classifier.ldaObject = f;


% for i=1:length(chanIDs)
%     mr.eeg.classifier.icId(i) = find(mr.eeg.icNumbersToCalculateActivity == chanIDs(i));
% end;
% end of classifer

% mr_raw_to_ic_activity options
mr.eeg.channelNumbers = channelIds.subset.chans;
mr.samplingRate = 256;
mr.eeg.referenceChannel = 144; % index in original (all) channels

mr.eeg.originalIcaUnmix = workspace.wts * workspace.sph;
% if ~isempty(mr.eeg.locutoff) && ~isempty(newIcActivity)
%     [newIcActivity highpassFilterDelay] = filter(iirFilter.highpass.b, iirFilter.highpass.a, newIcActivity, highpassFilterDelay,2);
% end;
% 
% 
% if ~isempty(mr.eeg.hicutoff) && ~isempty(newIcActivity)
%     [newIcActivity lowpassFilterDelay] = filter(iirFilter.lowpass.b, iirFilter.lowpass.a, newIcActivity, lowpassFilterDelay,2);
% end;

%mr.eeg.icaUnmix = eye(size(workspace.wts,1), size(workspace.wts,2));

mr.eeg.reference_is_included = false;
mr.eeg.icActivityDurationToCalculate = 1000; % in ms
mr.eeg.locutoff = 2; % Hz
mr.eeg.hicutoff = 50; % Hz


%mr.eeg.icNumbersToCalculateActivity = [2     4     5     6     7     8     9    11    12    13    14    15    16    17    21    22    25    26 27    30    31    33    35    47    51    53    58    60    63    73    76    80];

mr.eeg.icNumbersToCalculateActivity = 1:127;%mr.eeg.icNumbersToCalculateActivity(1:4);

% for mr_eeg_ocean_cortex
load /data/projects/RSVP/exp53/realtime/exp53_dipfit.mat 
mr.eeg.dipfit = dipfit;

% mr_accumulate_events options
mr.eventChannelNumber = 290;

mr_init();

mr_read_simulated(true); % reset 
mr_record_lag(true);
%mr_spectrum_ball(true); % reset 
mr_accumulate_events(true)
mr_power_on_cortex(true)
mr_raw_to_ic_activity_accumulate(true);
%mr_headplot(true);
mr_detect_bad_channels(true)

%mr_im_activity_on_grid(true) % reset

mr_calculate_channel_offset([], true);

% define event triggers
mr.trigger = [];
mr.trigger(1).eventType = 1;
mr.trigger(1).timeAfter = 900; % ms
mr.trigger(1).callback = @target_displayed_callback;

mr.trigger(2).eventType = 2;
mr.trigger(2).timeAfter = 900; % ms
mr.trigger(2).callback = @target_displayed_callback;


if isempty(timerfind('tag','accumulatorTimer'))
   % accumulatorTimer = timer('TimerFcn','mr_accumulate; mr_detect_bad_channels; mr_update_ica; mr_raw_to_ic_activity_accumulate; mr_accumulate_events; ; mr_record_lag;','StartDelay',0,'ExecutionMode','fixedDelay','Period',0.2,'tag','accumulatorTimer');
    %accumulatorTimer = timer('TimerFcn','mr_accumulate; mr_raw_to_ic_activity_accumulate; mr_accumulate_events; mr_event_trigger; mr_record_lag;','StartDelay',0,'ExecutionMode','fixedDelay','Period',0.1,'tag','accumulatorTimer');
 
    %accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_raw_to_ic_activity_accumulate; mr_im_activity_on_grid;mr_record_lag','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.1,'tag','accumulatorTimer');
    accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_raw_to_ic_activity_accumulate; mr_power_on_cortex; mr_record_lag;','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.05,'tag','accumulatorTimer');   
   

    start(accumulatorTimer);
    
    
   %badChannelDetectTimer = timer('TimerFcn','mr_detect_bad_channels;mr_update_ica;','StartDelay',0,'ExecutionMode','fixedSpacing','Period',1.00,'tag','accumulatorTimer');
 %   start(badChannelDetectTimer);
        
    
   % icaTimer = timer('TimerFcn','mr_raw_to_ic_activity; mr_spectrum_ball; toc(timeAtStart)-(mr.numberOfFramesInAccumulatedData/256)','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.1,'tag','accumulatorTimer');
  %  icaTimer = timer('TimerFcn','mr_raw_to_ic_activity;mr_spectrum_ball','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.01,'tag','accumulatorTimer');
  %  start(icaTimer);
end;
