cd z:\tools\realtime\matriver\

mr_close_read_buffer;

clear mr;
global mr;


mr.readFromDataRiver = true;
mr.functionHandle = [];
mr.samplingRate  = 512;%512;
mr.maxNumberOfFramesInAccumulatedData = 6000;% Inf;
mr_init;



% initiate 
mr_record_lag(true);

% delete all timers;
delete(timerfindall);

mr_init_writing('/tmp/maze', 10);

% for mocap, specify mocap channel subset
mr.mocap.firstChannel = 2; % first channel is events or should be ignored
mr.mocap.lastChannel = nan; % use nan to make it until the last one that exist
mr_mocap_init;

% add boundaries of sccn room
mr.mocap.roomWallCollection = vr_add_sccn_mobi_room(mr.mocap.mocapWorld); 

% for the maze
mr.maze.wallCollection = vr_add_maze(mr.mocap.mocapWorld, 1.5, 2, 0.1);


% define and then start the main MatRiver timer
if isempty(timerfind('tag','accumulatorTimer'))
    
    % this timer executes certain commands (specified after 'TimerFcn' key)
    % each 0.1 seconds. It does not block the command line so you can still
    % examine the variables and work with matlab while MatRiver is running.
   % accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_view_force_plate;mr_record_lag','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.1,'tag','accumulatorTimer');   
  %  accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_viewdata;','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.1,'tag','accumulatorTimer');   
    accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_view_mocap; mr_maze;','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.2,'tag','accumulatorTimer');   
 %  accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_view_mocap; mr_speech_cloud;','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.2,'tag','accumulatorTimer');   
    % start the timer
    start(accumulatorTimer);
end;