mr_close_read_buffer;

clear mr;
global mr;


mr.readFromDataRiver = true;
mr.functionHandle = [];
mr.samplingRate  = 100;
mr.maxNumberOfFramesInAccumulatedData = Inf;
mr_init;

mr_wii_rotate(true);

if exist('accumulatorTimer')
    delete(accumulatorTimer);
end;

if isempty(timerfind('tag','accumulatorTimer'))
    accumulatorTimer = timer('TimerFcn','mr_accumulate; mr_wii_rotate; ','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.05,'tag','accumulatorTimer');
    start(accumulatorTimer);
end;

